<app-header-logged [pageOrigine]=lienMesClients>
    <ion-back-button text="" [defaultHref]=lienAccueilCommercial></ion-back-button>
</app-header-logged>

<ion-content scroll-y="false">
    <div class="container">

        <div class="bodyContainer">
            <div class="twoBlocks">
                <div class="block1">
                    <p translate>Titulaire_Text</p>
                    <p>{{contact.prenom+" "+contact.nom}} </p>
                </div>
                <div class="block2">
                    <p translate>Montant_global</p>
                    <p>174 000 FCFA</p>
                </div>
            </div>
            <div class="inputs">
                <div class="inputBlock">
                    <ion-searchbar mode="ios" (ionChange)="onSearchClient()" [(ngModel)]="valCherche" placeholder="rechercher"></ion-searchbar>
                </div>
                <div class="inputBlock selectInput">

                    <div class="itemInput">
                        <ion-select (ionChange)="onSearchClient()" [(ngModel)]="critereFiltre" placeholder="trier par " [value]=filtreByNom>
                            <ion-select-option [value]=filtreByNom><small>nom</small></ion-select-option>



                        </ion-select>
                    </div>
                </div>
            </div>
            <div class="mesAction">
                <p class="mesHeading" translate>mes_clients</p>
                <ion-grid no-padding *ngIf="clients.length > 0; else noClients">
                    <ion-row no-margin>

                        <ion-col text-center size="2">
                            <p class="colonneListe"> <small>id</small></p>
                        </ion-col>
                        <ion-col text-center>
                            <p class="colonneListe"> <small>nom</small></p>
                        </ion-col>
                        <ion-col text-center>
                            <p class="colonneListe"> <small>prenom</small></p>
                        </ion-col>

                        <ion-col text-center>
                            <p class="colonneListe">
                                <ion-text><small>date de naissance</small></ion-text>
                            </p>
                        </ion-col>


                    </ion-row>


                    <ion-row no-margin class="rowItem" (click)="voirClient(client)" detail="false" *ngFor="let client of clients">
                        <ion-col text-center size="2">
                            <p class="colonneListe">{{client.contact.id}}</p>

                        </ion-col>
                        <ion-col text-center>
                            <p class="colonneListe">{{client.contact.nom}}</p>

                        </ion-col>
                        <ion-col text-center>
                            <p class="colonneListe">{{client.contact.prenom}}</p>

                        </ion-col>

                        <ion-col text-center>
                            <p class="colonneListe">{{client.contact.dateDeNaissance}}</p>

                        </ion-col>


                    </ion-row>
                </ion-grid>
                <ng-template #noClients>

                    <p text-center class="noClients" translate>No_customer_matches</p>

                </ng-template>


            </div>

            <ion-button class="newClient" (click)="nouveauClient()" size="small" shape="round">
                <ion-text translate>New_Client</ion-text>
            </ion-button>
        </div>
    </div>
</ion-content>

<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>